/*
 * main.c
 *
 *  Created on: 18.02.2016
 *      Author: Renate Schultes
 */

enum
{
	CORE0_ID = 0,
	CORE1_ID = 1,
	CORE2_ID = 2,
};

#include "stm.h"

int main(void)
{
	// STM module initialization
	STM_t* pStm = STM0_BASE;
	static STMInitStruct_t stmInitStr = { 0, 0, 0, 0, 0, 0, 0, 0 };
	stmInitStr.cmcon0   = MSIZE_28 | MSTART_8;
	stmInitStr.cmcon1   = 0x0;
	stmInitStr.cmp0Icr  = CMP0EN | CMP0OS_IR0;
	stmInitStr.cmp1Icr  = DISABLE;
	stmInitStr.compVal0 = (pStm->TIM2) + 50000;
	stmInitStr.compVal1 = 0x0;
	stmInitStr.isr0     = (CORE0_ID<<11) | (ENABLE<<10) | SYSTIME_ISR0_PRIO;
	stmInitStr.isr1     = (DISABLE<<10);
	stmInit(pStm, &stmInitStr);

	while(1)
	{
		;
	}
}


