/*
 * TestEmbC.h
 *
 *  Created on: 11.02.2016
 *      Author: Renate Schultes
 */

#ifndef EMBC_EX_H_
#define EMBC_EX_H_

#include <stdint.h>

typedef struct
{
    uint32_t state;
} STATE_t;

inline void setState(STATE_t* const pSTATE_t, uint32_t value)
{
    if (value > 0 && value <= 100)
    {
        pSTATE_t->state = value;
    }
}

inline int32_t getState(const STATE_t* const pSTATE_t)
{
    return pSTATE_t->state;
}

#endif /* EMBC_EX_H_ */
