#include <stdio.h>
#include <stdint.h>

#include "TestEmbC.h"

static volatile int32_t status = STARTVALUE;

void waitForEvent()
{
    while (status == STARTVALUE)    // wait for status change
        ;                           
}

int32_t globalVar = STARTVALUE;  // Application-global visibility, global validity
static int32_t localVar = 0;     // Module-local visibility, global validity

int main()
{
    int32_t i;          // Function-local visibility, local validity
    static int32_t a;   // Function-local visibility, global validity

//    i = 3; a = i + i++;
    printf("i: %d\n", i);
    printf("a: %d\n", a);

 //   a = 5;
    printf("a += 5: %d\na *=2: %d\n", a += 5, a *= 2);

    if (a = i)
    {
        a = STARTVALUE;
    }
    printf("a: %d\ni: %d\n", a , i);

    // Single-Precision Floating Point
    static float f = 2.3f;

    f = f + 1.2f;



    return 0;
}


